import fs from 'node:fs/promises'

export const wgsl = () => ({
  name: 'esbuild-plugin-wgsl',
  setup(build) {
    build.onLoad({ filter: /\.wgsl$/ }, async args => {
      const contents = await fs.readFile(args.path, 'utf8')

      return { contents, loader: 'text' }
    })
  }
})

export default wgsl

